Index: admin_templates/tree.tpl
===================================================================
--- admin_templates/tree.tpl	(revision 14733)
+++ admin_templates/tree.tpl	(working copy)
@@ -5,7 +5,8 @@
 <body class="tree-body" onresize="onTreeFrameResize();">
 
 <script type="text/javascript">
-	var $last_width = parseInt('<inp2:m_GetConfig name="MenuFrameWidth"/>');
+	var $save_timer = null,
+		$last_width = parseInt('<inp2:m_GetConfig name="MenuFrameWidth"/>');
 
 	function credits(url) {
 		openwin(url, 'credits', 280, 520);
@@ -23,6 +24,11 @@
 			return ;
 		}
 
+		clearTimeout($save_timer);
+		$save_timer = setTimeout( function() {saveFrameWidth($width);}, 2000);
+	}
+
+	function saveFrameWidth($width) {
 		getFrame('head').$FrameResizer.OpenWidth = $width;
 
 		$.get(
Index: units/admin/admin_events_handler.php
===================================================================
--- units/admin/admin_events_handler.php	(revision 14733)
+++ units/admin/admin_events_handler.php	(working copy)
@@ -875,14 +875,7 @@
 			return ;
 		}
 
-		$sql = 'UPDATE ' . $this->Application->getUnitOption('conf', 'TableName') . '
-				SET VariableValue = ' . (int)$this->Application->GetVar('width')  . '
-				WHERE VariableName = "MenuFrameWidth"';
-		$this->Conn->Query($sql);
-
-		if ($this->Conn->getAffectedRows()) {
-			$this->Application->DeleteUnitCache(false);
-		}
+		$this->Application->SetConfigValue('MenuFrameWidth', (int)$this->Application->GetVar('width'));
 	}
 
 	/**
